/*
 * Copyright (C) 2007 uguu at users.sourceforge.jp, All Rights Reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    1. Redistributions of source code must retain the above copyright
 *       notice, this list of conditions and the following disclaimer.
 *
 *    2. Redistributions in binary form must reproduce the above copyright
 *       notice, this list of conditions and the following disclaimer in the
 *       documentation and/or other materials provided with the distribution.
 *
 *    3. Neither the name of Clarkware Consulting, Inc. nor the names of its
 *       contributors may be used to endorse or promote products derived
 *       from this software without prior written permission. For written
 *       permission, please contact clarkware@clarkware.com.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL
 * CLARKWARE CONSULTING OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 * LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN  ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */

package jp.sourceforge.deployer.server.core;

import java.io.File;

import jp.sourceforge.deployer.DeployerClassLoader;

/**
 * <p>
 * デプロイされたアプリケーションを表す実装クラスです。
 * </p>
 * 
 * @author $Author$
 * @version $Rev$ $Date$
 */
final class ApplicationInfoImpl implements ApplicationInfo {

    /**
     * <p>
     * 展開後ディレクトリ。
     * </p>
     */
    private File                _deployDirectory;

    /**
     * <p>
     * アプリケーション・クラスローダー。
     * </p>
     */
    private DeployerClassLoader _classLoader;

    public ApplicationInfoImpl(File deployDirectory, DeployerClassLoader classLoader) {
        this._deployDirectory = deployDirectory;
        this._classLoader = classLoader;
    }

    public File getDeployDirectory() {
        return this._deployDirectory;
    }

    public DeployerClassLoader getDeployerClassLoader() {
        return this._classLoader;
    }

}
